SC-CONFIG(1)

NAME
sc-config - script to get information about the installed version of SC

SYNOPSIS
sc-config [--prefix[=DIR] ] [--exec-prefix[=DIR] ] [--version] [--libs] [--cppflags] [--cc] [--cflags] [--cxx] [--cxxflags] [--f77] [--f77flags]

DESCRIPTION

The sc-config program can be used to obtain the compilers, compiler options and libraries needed to use the SC (Scientific Computing) toolkit from your program.

OPTIONS

The sc-config program returns information about how SC was compiled and installed. The following information is available:

--prefix
    The directory where SC is installed.

--version
    The version of SC.

--libdir
    The directory were the libraries are found.

--libs
    The libraries and library paths needed to link.

--cppflags
    The include directories needed to build.

--cc
    The C compiler.

--cflags
    The C compiler flags.

--cxx
    The C++ compiler.

--cxxflags
    The C++ compiler flags.

--f77
    The FORTRAN 77 compiler.

--f77flags
    The FORTRAN 77 compiler flags.

EXAMPLES
To use the sc-config program to link your executable to SC, use a Makefile for GNU make similar to the following:
    SCCONFIG = /usr/bin/sc-config
    CXX := $(shell $(SCCONFIG) --cxx)
    CXXFLAGS := $(shell $(SCCONFIG) --cxxflags)
    CPPFLAGS := $(shell $(SCCONFIG) --cppflags)
    LIBS := $(shell $(SCCONFIG) --libs)

    myprog: myprog.o
        $(CXX) $(CXXFLAGS) -o $@ $^ $(LIBS)